export interface DeliveryNoteSearchForm {
  subOrderNumber?: string
  billNumber?: number
  userMark?: string
  startTime?: string
  endTime?: string
  logisticsTracking?: string
  lanshouName?: string
  orderNumber?: string
  namespace?: string
  shippingWay?: number
}

export interface DeliveryNoteData {
  id: number
  billNumber?: string
  shippingWay?: number
  addressId?: number
  carriageAmount?: number | string
  carriageName?: string
  logisticsTracking?: string
  shippingStatus?: number
  lanshouName?: string
  lanshouPhone?: string
  lanshouRegion?: string
  lanshouAddress?: string
  lanshouPost?: string
  inspectionStatus?: boolean
  facotoryNo?: number
  updateTime?: string
  createTime?: string
  subOrderNumber?: string
  detailList: DetailList[]
}

export interface DetailList {
  id: number
  shipmentId?: number
  customOrderId?: number
  customOrderNumber?: string
  subOrderNumber?: string
  baseSku?: string
  variantSku?: string
  variantImage?: string
  shipmentNum?: number
  passNum?: number
  notPassNum?: number
  inspectionStatus?: boolean
  updateTime?: string
  createTime?: string
  productionNum?: number
  notShipmentNum?: number
  productName?: string
  facotoryNo?: string | number
  billNumber?: string | number
}

export interface NameSpaceList {
  id: number
  sku?: string
  name?: string
  password?: string
  imgUrl?: string
  chimaStatus?: number
  status?: number
  createDate?: string
  updateDate?: string
}

export interface ProductionOrder {
  id: number
  erpId?: number
  customOrderId?: number
  subOrderNumber?: string
  erpSubOrderNumber?: string
  erpOrderId?: number
  erpOrderItemId?: number
  erpProductItemId?: number
  shopNumber?: number
  baseSku?: string
  variantSku?: string
  variantImage?: string
  chimaId?: string
  diyId?: string
  endProductId?: string
  num?: number
  printType?: number
  version?: number
  shipmentNum?: number
  price?: number
  productName?: string
  weight?: number
  createTime?: string
  updateTime?: string
  notPassNum?: number
  passNum?: number
}
