// 预览大图
export default function useImagePreview(src: string) {
  const imageView = document.createElement('img')
  // 鼠标在元素内部移动
  const onMoseMove = (e: MouseEvent) => {
    imageView.className = 'image-view'
    imageView.src = src
    imageView.style.backgroundColor = '#eee'
    document.body.appendChild(imageView)
    const cW: number = document.body.clientWidth
    const cH: number = document.body.clientHeight
    const cX: number = e.clientX
    const cY: number = e.clientY
    let x: number = 0
    let y: number = 0
    if (cY + 380 >= cH) y = cY - 440
    else y = cY - 30
    if (cX + 440 >= cW) x = cX - 440
    else x = cX + 30
    imageView.onload = () => {
      imageView.style.left = x + 'px'
      imageView.style.top = y + 'px'
      imageView.style.display = 'block'
    }
  }
  // 鼠标离开元素
  const onMoseLeave = () => {
    imageView.style.display = 'none'
  }
  return {
    onMoseMove,
    onMoseLeave,
  }
}
